import Component from '../component.js';
import DivComponent from '../div.js';

export default class CoEuiTabLabel extends Component {
    constructor(parent) {
      let selector = '*[self::eui-tab-label or self::euiTabLabel]';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-tabs/eui-tab-label/eui-tab-label.component.ts?at=master
    }
    get sublabelCO(){
      return new DivComponent(this.currentPath).addPredicateClassContains('eui-tab-item__sublabel');
    }
    get euiTabSubLabel(){
      return this.sublabelCO.currentPath + '//euiTabSubLabel';
    }
}

